---
title: Get a detected script
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Page Shield](https://developers.cloudflare.com/api/go/resources/page_shield)

[Scripts](https://developers.cloudflare.com/api/go/resources/page_shield/subresources/scripts)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get a detected script

client.PageShield.Scripts.Get(ctx, scriptID, query) (\*[ScriptGetResponse](<https://developers.cloudflare.com/api/go/resources/page_shield#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/page\_shield/scripts/{script\_id}

Returns a script detected on the zone by script ID.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Page Shield``Domain Page Shield Read``Domain Page Shield``Page Shield Read``Zone Settings Write``Zone Settings Read`

##### ParametersExpand Collapse

scriptID string

Identifier

maxLength32

[Link to this property](<#(resource)%20page_shield.scripts%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20script_id%20%3E%20(schema)>)

<details>

<summary>

query ScriptGetParams

</summary>

ZoneID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20page_shield.scripts%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.scripts%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ScriptGetResponse struct{…}

</summary>

ID string

Identifier

maxLength32

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

AddedAt Time

formatdate-time

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20added_at">Link to this property</a>

FirstSeenAt Time

formatdate-time

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20first_seen_at">Link to this property</a>

Host string

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20host">Link to this property</a>

LastSeenAt Time

formatdate-time

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20last_seen_at">Link to this property</a>

URL string

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20url">Link to this property</a>

URLContainsCDNCGIPath bool

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20url_contains_cdn_cgi_path">Link to this property</a>

CryptominingScore int64Optional

The cryptomining score of the JavaScript content.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20cryptomining_score">Link to this property</a>

DeprecatedDataflowScore int64Optional

The dataflow score of the JavaScript content. This field has been deprecated in favour of js\_integrity\_score.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20dataflow_score">Link to this property</a>

DomainReportedMalicious boolOptional

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20domain_reported_malicious">Link to this property</a>

FetchedAt stringOptional

The timestamp of when the script was last fetched.

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20fetched_at">Link to this property</a>

FirstPageURL stringOptional

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20first_page_url">Link to this property</a>

Hash stringOptional

The computed hash of the analyzed script.

maxLength64

minLength64

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20hash">Link to this property</a>

JSIntegrityScore int64Optional

The integrity score of the JavaScript content.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20js_integrity_score">Link to this property</a>

MagecartScore int64Optional

The magecart score of the JavaScript content.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20magecart_score">Link to this property</a>

MaliciousDomainCategories \[]stringOptional

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20malicious_domain_categories">Link to this property</a>

MaliciousURLCategories \[]stringOptional

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20malicious_url_categories">Link to this property</a>

MalwareScore int64Optional

The malware score of the JavaScript content.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20malware_score">Link to this property</a>

DeprecatedObfuscationScore int64Optional

The obfuscation score of the JavaScript content. This field has been deprecated in favour of js\_integrity\_score.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20obfuscation_score">Link to this property</a>

PageURLs \[]stringOptional

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20page_urls">Link to this property</a>

URLReportedMalicious boolOptional

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20url_reported_malicious">Link to this property</a>

<details>

<summary>

Versions \[]ScriptGetResponseVersionOptional

</summary>

CryptominingScore int64Optional

The cryptomining score of the JavaScript content.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20versions%20%3E%20(items)%20%3E%20(property)%20cryptomining_score">Link to this property</a>

DeprecatedDataflowScore int64Optional

The dataflow score of the JavaScript content. This field has been deprecated in favour of js\_integrity\_score.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20versions%20%3E%20(items)%20%3E%20(property)%20dataflow_score">Link to this property</a>

FetchedAt stringOptional

The timestamp of when the script was last fetched.

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20versions%20%3E%20(items)%20%3E%20(property)%20fetched_at">Link to this property</a>

Hash stringOptional

The computed hash of the analyzed script.

maxLength64

minLength64

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20versions%20%3E%20(items)%20%3E%20(property)%20hash">Link to this property</a>

JSIntegrityScore int64Optional

The integrity score of the JavaScript content.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20versions%20%3E%20(items)%20%3E%20(property)%20js_integrity_score">Link to this property</a>

MagecartScore int64Optional

The magecart score of the JavaScript content.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20versions%20%3E%20(items)%20%3E%20(property)%20magecart_score">Link to this property</a>

MalwareScore int64Optional

The malware score of the JavaScript content.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20versions%20%3E%20(items)%20%3E%20(property)%20malware_score">Link to this property</a>

DeprecatedObfuscationScore int64Optional

The obfuscation score of the JavaScript content. This field has been deprecated in favour of js\_integrity\_score.

maximum99

minimum1

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20versions%20%3E%20(items)%20%3E%20(property)%20obfuscation_score">Link to this property</a>

</details>

<a href="#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)%20%3E%20(property)%20versions">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield.scripts%20%3E%20(model)%20ScriptGetResponse%20%3E%20(schema)>)

### Get a detected script

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/page_shield"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  script, err := client.PageShield.Scripts.Get(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    page_shield.ScriptGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", script.ID)
}
```

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "added_at": "2021-08-18T10:51:10.09615Z",
    "first_seen_at": "2021-08-18T10:51:08Z",
    "host": "blog.cloudflare.com",
    "last_seen_at": "2021-09-02T09:57:54Z",
    "url": "https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/js/bootstrap.min.js",
    "url_contains_cdn_cgi_path": false,
    "cryptomining_score": 1,
    "dataflow_score": 1,
    "domain_reported_malicious": false,
    "fetched_at": "fetched_at",
    "first_page_url": "blog.cloudflare.com/page",
    "hash": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "js_integrity_score": 1,
    "magecart_score": 1,
    "malicious_domain_categories": [
      "Malware"
    ],
    "malicious_url_categories": [
      "Malware"
    ],
    "malware_score": 1,
    "obfuscation_score": 1,
    "page_urls": [
      "blog.cloudflare.com/page1",
      "blog.cloudflare.com/page2"
    ],
    "url_reported_malicious": false,
    "versions": [
      {
        "cryptomining_score": 20,
        "dataflow_score": 1,
        "fetched_at": "2021-08-18T10:51:08Z",
        "hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b423",
        "js_integrity_score": 2,
        "magecart_score": 10,
        "malware_score": 5,
        "obfuscation_score": 1
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "added_at": "2021-08-18T10:51:10.09615Z",
    "first_seen_at": "2021-08-18T10:51:08Z",
    "host": "blog.cloudflare.com",
    "last_seen_at": "2021-09-02T09:57:54Z",
    "url": "https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.0/js/bootstrap.min.js",
    "url_contains_cdn_cgi_path": false,
    "cryptomining_score": 1,
    "dataflow_score": 1,
    "domain_reported_malicious": false,
    "fetched_at": "fetched_at",
    "first_page_url": "blog.cloudflare.com/page",
    "hash": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "js_integrity_score": 1,
    "magecart_score": 1,
    "malicious_domain_categories": [
      "Malware"
    ],
    "malicious_url_categories": [
      "Malware"
    ],
    "malware_score": 1,
    "obfuscation_score": 1,
    "page_urls": [
      "blog.cloudflare.com/page1",
      "blog.cloudflare.com/page2"
    ],
    "url_reported_malicious": false,
    "versions": [
      {
        "cryptomining_score": 20,
        "dataflow_score": 1,
        "fetched_at": "2021-08-18T10:51:08Z",
        "hash": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b423",
        "js_integrity_score": 2,
        "magecart_score": 10,
        "malware_score": 5,
        "obfuscation_score": 1
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ]
}
```